
#ifndef VER_CONF_H_KHCYDOPFRUYDIYFIHUIVUGUGG
#define VER_CONF_H_KHCYDOPFRUYDIYFIHUIVUGUGG
#include "stdio.h"
#include "../cfg_parse/custom_printf.h"//lnk20250225

const char* PROGRAM_VERSION = "1.0.2.7";
const char* PROGRAM_CREATE_TIME="2024-09-18";
int getVersion(int argc,const char ** argv);

int getVersion(int argc,const char ** argv)
{
	const char *str;
	if (argc > 1) {
		str = argv[1];
		if (strcmp(str,"--version")== 0 ) {
			printf ("Version: pt61850netd_pqfe_%s_%s \n", PROGRAM_VERSION, PROGRAM_CREATE_TIME);
			printf ("      Memo: changed after the epri integerated test!\n");
			printf ("	   changed after the epri data detail verified!\n");
			printf ("	   add the special communication log!\n");
			printf ("	   optimize the 3s file process with webservice,avoid conflict!\n");
			printf ("	   support the dev_flag configured by ini file\n");
			printf ("	   add json create log when jump out, and detail log when first 10k datas\n");
			printf ("	   support qvvr send 2 topics when recv report\n");
			printf ("	   not write the period secs when register report\n");
			printf ("	   only create LF when 2 hours\n");
			printf ("	   add watchdog to working thread\n");
			printf ("	   support one ip ,multi port when connect to ied\n");
			printf("	   2024-02-26 add recall\n");
			printf("	   2024-03-08 add recall\n");
			printf("	   2024-03-26 remove Rregister rpt\n");
			printf("	   2024-04-04 Compatible recall time\n");
			printf("	   2024-09-18 monitor report clear cache\n");
			exit(0);
		}       
	}
	return 0;
};

#endif //VER_CONF_H_KHCYDOPFRUYDIYFIHUIVUGUGG

